## diffoscope 172~bpo10+1

=== debian/changelog ===
diffoscope (172~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 23 Apr 2021 15:50:01 +0200

diffoscope (172) unstable; urgency=medium

  * If zipinfo(1) shows a difference but we cannot uncover a difference within
    the underlying .zip or .apk file, add a comment and show the binary
    comparison. (Closes: reproducible-builds/diffoscope#246)
  * Make "error extracting X, falling back to binary comparison E" error
    message nicer.

 -- Chris Lamb <lamby@debian.org>  Fri, 02 Apr 2021 08:49:24 +0100

## diffoscope 177~bpo10+1

=== debian/changelog ===
diffoscope (177~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 25 Jun 2021 18:31:18 +0200

diffoscope (177) unstable; urgency=medium

  [ Keith Smiley ]
  * Improve support for Apple "provisioning profiles".
  * Fix ignoring objdump tests on MacOS.

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Jun 2021 10:03:04 +0100

diffoscope (176) unstable; urgency=medium

  * Update ffmpeg tests to work with ffmpeg 4.4.
    (Closes: reproducible-builds/diffoscope#258)

 -- Chris Lamb <lamby@debian.org>  Fri, 28 May 2021 10:52:25 +0100

diffoscope (175) unstable; urgency=medium

  * Use the actual filesystem path name (instead of diffoscope's concept of the
    source name) to correct APK filename filtering when an APK file is in
    another container -- we need to filter the auto-generated "1.apk" instead
    of "original-filename.apk". (Closes: reproducible-builds/diffoscope#255)
  * Don't call os.path.basename twice.
  * Correct grammar in a fsimage.py debug message.
  * Add a comment about stripping filenames.

 -- Chris Lamb <lamby@debian.org>  Fri, 14 May 2021 10:43:10 +0100

diffoscope (174) unstable; urgency=medium

  [ Chris Lamb ]
  * Check that we are parsing an actual Debian .buildinfo file, not just
    a file with that extension.
    (Closes: #987994, reproducible-builds/diffoscope#254)
  * Support signed .buildinfo files again -- file(1) reports them as
    "PGP signed message".

  [ Mattia Rizzolo ]
  * Make the testsuite pass with file(1) version 5.40.
  * Embed some short test fixtures in the test code itself.
  * Fix recognition of compressed .xz files with file(1) 5.40.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 May 2021 10:48:54 +0100

diffoscope (173) unstable; urgency=medium

  [ Chris Lamb ]
  * Add support for showing annotations in PDF files.
    (Closes: reproducible-builds/diffoscope#249)
  * Move to assert_diff in test_pdf.py.

  [ Zachary T Welch ]
  * Difference.__init__: Demote unified_diff argument to a Python "kwarg".

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Apr 2021 08:51:21 +0100

## diffoscope 177

=== doc/Makefile ===
#!/usr/bin/make -f
# This file is also present in reprotest, please update that as well if you
# make fixes here.

PACKAGE = diffoscope
VERSION = $$(cd .. && python3 setup.py -V)
SED_fix_package_quirks = -e 's,bin/diffoscope,diffoscope,g'
SED_fix_README_quirks = \
  -e '/^\.\. raw:: /d' \
  -e '/^\.\. image:: /d' \
  -e '/ :target: /d'

SED_rm_python_usage_msg = -e '/end_of_description_header/,/positional arguments/{d}'
SED_fix_rst2man_quirks = \
  -e 's,^ \\- ,,' \
  -e 's,^\[,\\[char91],g' \
  -e 's,\.TH *"" "" "",,g'
SED_rst2man_output_to_h2m_input = \
  -e 's,\.SH \(.*\),[\1],g' \
  -e 's,\[$(PACKAGE)\],[DESCRIPTION],gi'

all: $(PACKAGE).1

$(PACKAGE).1: $(PACKAGE).h2m ../$(PACKAGE)/__init__.py
	help2man --version-string=$(VERSION) ../bin/$(PACKAGE) -N --include="$<" | \
	  sed $(SED_rm_python_usage_msg) > "$@"

$(PACKAGE).h2m: $(PACKAGE).h2m.0 ../README.rst Makefile
	{ cat $(PACKAGE).h2m.0; cat ../README.rst | \
	  sed $(SED_fix_README_quirks) | tee out.txt | \
	  rst2man -q --no-doc-title | \
	  sed $(SED_fix_rst2man_quirks) \
	      $(SED_fix_package_quirks) \
	      $(SED_rst2man_output_to_h2m_input); } > "$@"

.PHONY: clean
clean:
	$(RM) $(PACKAGE).1 $(PACKAGE).h2m

=== debian/control ===
Source: diffoscope
Section: devel
Priority: optional
Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
Uploaders:
 Chris Lamb <lamby@debian.org>,
 Holger Levsen <holger@debian.org>,
 Mattia Rizzolo <mattia@debian.org>,
Build-Depends:
 abootimg <!nocheck>,
 apksigner <!nocheck>,
 apktool [!ppc64el !s390x] <!nocheck>,
 bash-completion,
 binutils-multiarch <!nocheck>,
 black <!nocheck>,
 caca-utils <!nocheck>,
 colord <!nocheck>,
 db-util <!nocheck>,
 debhelper-compat (= 13),
 default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
 device-tree-compiler (>= 1.4.2) <!nocheck>,
 dh-python (>= 2.20160818~),
 docx2txt <!nocheck>,
 dpkg-dev (>= 1.17.14),
 e2fsprogs <!nocheck>,
 enjarify <!nocheck>,
 ffmpeg <!nocheck>,
 flake8 <!nocheck>,
 fontforge-extras <!nocheck>,
 fp-utils [!ppc64el !s390x] <!nocheck>,
 ghc <!nocheck>,
 ghostscript <!nocheck>,
 giflib-tools <!nocheck>,
 gnumeric <!nocheck>,
 gnupg-utils <!nocheck>,
 hdf5-tools <!nocheck>,
 help2man,
 imagemagick <!nocheck>,
 jsbeautifier <!nocheck>,
 libarchive-tools <!nocheck>,
 libjs-jquery <!nocheck>,
 libjs-jquery-hotkeys <!nocheck>,
 libjs-jquery-isonscreen <!nocheck>,
 libjs-jquery-tablesorter <!nocheck>,
 libjs-jquery-throttle-debounce <!nocheck>,
 linux-image-amd64 [amd64] <!nocheck> | linux-image-generic [amd64] <!nocheck>,
 llvm <!nocheck>,
 lz4 <!nocheck> | liblz4-tool <!nocheck>,
 mono-utils <!nocheck>,
 mplayer <!nocheck>,
 ocaml-nox <!nocheck>,
 odt2txt <!nocheck>,
 oggvideotools [!s390x] <!nocheck>,
 openssh-client <!nocheck>,
 openssl <!nocheck>,
 pgpdump <!nocheck>,
 poppler-utils <!nocheck>,
 procyon-decompiler <!nocheck>,
 python3-all,
 python3-argcomplete,
 python3-binwalk <!nocheck>,
 python3-debian <!nocheck>,
 python3-distro <!nocheck>,
 python3-docutils,
 python3-guestfs <!nocheck>,
 python3-h5py <!nocheck>,
 python3-jsondiff <!nocheck>,
 python3-libarchive-c,
 python3-magic,
 python3-pdfminer <!nocheck>,
 python3-progressbar <!nocheck>,
 python3-pypdf2 <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pyxattr <!nocheck>,
 python3-rpm <!nocheck>,
 python3-setuptools,
 python3-tlsh (>= 3.4.1) <!nocheck>,
 r-base-core <!nocheck>,
 rpm2cpio <!nocheck>,
 sng <!nocheck>,
 sqlite3 <!nocheck>,
 squashfs-tools <!nocheck>,
 tcpdump <!nocheck>,
 u-boot-tools <!nocheck>,
 unzip <!nocheck>,
 wabt <!nocheck>,
 xmlbeans <!nocheck>,
 xxd <!nocheck> | vim-common <!nocheck>,
 zstd <!nocheck>,
Build-Conflicts:
 graphicsmagick-imagemagick-compat,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://diffoscope.org
Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git
Vcs-Browser: https://salsa.debian.org/reproducible-builds/diffoscope

Package: diffoscope-minimal
Architecture: all
Depends:
 python3-distutils,
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${diffoscope-minimal:Recommends},
 ${python3:Recommends},
Breaks: diffoscope (<< 162~)
Replaces: diffoscope (<< 162~)
Description: in-depth visual diff tool for files, archives and directories (minimal package)
 diffoscope is a visual diff tool that attempts try to get to the bottom of
 what makes files or directories actually different.
 .
 It can recursively unpack archives of many kinds, transforming various binary
 formats into more human-readable form to compare them in a human-readable way.
 It can compare two tarballs, ISO images or PDFs just as easily. The
 differences can be displayed on the console or in a HTML report.
 .
 ${diffoscope:Description}
 .
 This -minimal package only recommends a partial set of the supported 3rd party
 tools needed to produce file-format-specific comparisons, excluding those that
 are considered too large or niche for general use.
 .
 diffoscope is developed as part of the Reproducible Builds project.

Package: diffoscope
Architecture: all
Suggests:
 libjs-jquery,
Depends:
 diffoscope-minimal,
 ${misc:Depends},
Recommends:
 ${diffoscope:Recommends},
 ${python3:Recommends},
Enhances:
 diffoscope-core,
Description: in-depth visual diff tool for files, archives and directories
 diffoscope is a visual diff tool that attempts try to get to the bottom of
 what makes files or directories actually different.
 .
 It can recursively unpack archives of many kinds, transforming various binary
 formats into more human-readable form to compare them in a human-readable way.
 It can compare two tarballs, ISO images or PDFs just as easily. The
 differences can be displayed on the console or in a HTML report.
 .
 This is a dependency package that recommends the full set of external tools,
 to support as many type of files as possible.
 .
 ${diffoscope:Description}
 .
 diffoscope is developed as part of the Reproducible Builds project.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

SHELL := /bin/bash  # for the <(echo …) below, this was the easiest way.
PY_VERSION := $(shell awk '/^VERSION = / {gsub(/"/, "", $$3); print $$3}' diffoscope/__init__.py )
CHECK_VERSION := $(shell grep '^$(PY_VERSION)[^0-9].*$$' <(echo $(DEB_VERSION)))

ifneq ($(DEB_VERSION),$(PY_VERSION))
 ifneq ($(DEB_DISTRIBUTION),UNRELEASED)
  $(info $(CHECK_VERSION))
  ifneq (,$(CHECK_VERSION))
   $(info Accepting version mismatch $(PY_VERSION) <-> $(DEB_VERSION))
  else
   $(error Version in debian/changelog ($(DEB_VERSION)) does not match diffoscope version ($(PY_VERSION)))
  endif
 endif
endif

export PATH := $(CURDIR)/bin:$(PATH)
export PYBUILD_DESTDIR = debian/diffoscope-minimal
export PYBUILD_TEST_ARGS = -vv -r sxX -l --cov=diffoscope --cov-report=term-missing --cov-report=html
export PYBUILD_BEFORE_TEST = flake8 --config=/dev/null --select=F821
export PYBUILD_AFTER_TEST = debian/tests/basic-command-line
# the /debian/ one is required in buster-backports - unclear what creates that and why it's not present in bullseye
export PYBUILD_AFTER_INSTALL = rm -rvf '{destdir}/{install_dir}/htmlcov' '{destdir}/{install_dir}/.coverage' '{destdir}/{install_dir}/debian'

ifneq ($(JENKINS_EXPORTS_DIR),)
  export PYBUILD_BEFORE_TEST += && mkdir -pv $(JENKINS_EXPORTS_DIR)/test-results
  export PYBUILD_TEST_ARGS += --junit-xml=$(JENKINS_EXPORTS_DIR)/test-results/tests.xml
endif


%:
	dh $@ --with python3 --with bash-completion --buildsystem=pybuild

doc/%.1:
	$(MAKE) -C doc $*.1

debian/diffoscope-minimal.bash-completion:
	register-python-argcomplete3 diffoscope > $@

execute_after_dh_auto_build: debian/diffoscope-minimal.bash-completion
	dh_auto_build -O--buildsystem=makefile -Ddoc

override_dh_python3:
	# dh_python3 will only work on binaries shipping files
	dh_python3 -p diffoscope-minimal \
		--depends-section=distro_detection \
		--recommends-section=cmdline \
		--recommends-section=comparators
	grep Recommends debian/diffoscope-minimal.substvars >> debian/diffoscope.substvars
	# Remove big Recommends from the -minimal package, leaving them only in the full one
	sed -i 's/python3-guestfs,//' debian/diffoscope-minimal.substvars
	sed -i 's/python3-binwalk,//' debian/diffoscope-minimal.substvars

execute_before_dh_gencontrol:
	bin/diffoscope --list-debian-substvars | tee \
		>(sed '/^diffoscope-minimal:/d' >> debian/diffoscope.substvars) | \
		sed '/^diffoscope:R/d' >> debian/diffoscope-minimal.substvars
	head debian/*.substvars

diffoscope/presenters/icon.py: favicon.png
	(echo '# Generated from $@'; \
	 echo 'FAVICON_BASE64 = """'; \
	 base64 $<; \
	 echo '""".replace("\\n", "")'; \
	) > $@

favicon.png: doc/logo.svg
	inkscape -w 32 -h 32 -e $@ $<

override_dh_auto_clean:
	debian/tests/control.sh
	@set -e ; if ! diff -q debian/tests/control debian/tests/control.tmp ; then \
		echo ;\
		echo "The generated control file differs from the actual one." ;\
		echo "A sourceful upload of this package is needed." ;\
		echo ;\
		echo "Differences:" ;\
		diff -u debian/tests/control debian/tests/control.tmp ;\
	else \
		rm debian/tests/control.tmp ;\
	fi
	dh_auto_clean -O--buildsystem=pybuild
	dh_auto_clean -O--buildsystem=makefile -Ddoc
	find -type d -name '__pycache__' -empty -delete

=== debian/tests/control ===
# DON'T MANUALLY MODIFY!
# EDIT debian/tests/control.in INSTEAD!
#
# To regenerate:
#
#   $ debian/rules clean
#   $ mv debian/tests/control.tmp debian/tests/control

Tests: pytest-with-recommends
Depends: python3-all, diffoscope, black, python3-pytest, python3-h5py, file, linux-image-amd64 [amd64] | linux-image-generic [amd64], abootimg, acl, apksigner, apktool [!ppc64el !s390x], binutils-multiarch, bzip2, caca-utils, colord, db-util, default-jdk-headless | default-jdk | java-sdk, device-tree-compiler, docx2txt, e2fsprogs, enjarify, ffmpeg, fontforge-extras, fp-utils [!ppc64el !s390x], genisoimage, gettext, ghc, ghostscript, giflib-tools, gnumeric, gnupg, gnupg-utils, hdf5-tools, imagemagick, jsbeautifier, libarchive-tools, llvm, lz4 | liblz4-tool, mono-utils, ocaml-nox, odt2txt, oggvideotools [!s390x], openssh-client, openssl, pgpdump, poppler-utils, procyon-decompiler, python3-pdfminer, r-base-core, rpm2cpio, sng, sqlite3, squashfs-tools, tcpdump, u-boot-tools, unzip, wabt, xmlbeans, xxd | vim-common, xz-utils, zip, zstd, python3-argcomplete, python3-binwalk, python3-defusedxml, python3-distro, python3-guestfs, python3-jsondiff, python3-progressbar, python3-pypdf2, python3-debian, python3-pyxattr, python3-rpm, python3-tlsh

Tests: pytest
Depends: python3-all, diffoscope, python3-pytest, python3-h5py, file, python3-tlsh

Tests: basic-command-line
Depends: diffoscope
Restrictions: allow-stderr
# without Recommends

## diffoscope 180~bpo11+1

=== debian/changelog ===
diffoscope (180~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Aug 2021 11:47:51 +0200

diffoscope (180) unstable; urgency=medium

  * Don't include specific ".debug"-like lines in the output, as it invariably
    a duplicate of the debug ID that exists in a better form in the readelf(1)
    differences for this file.
  * Also ignore include short "GCC" lines that differs on a single prefix byte
    too. These are distracting, not very useful and are simply the strings(1)
    command's idea of the build ID, which, again, is displayed nearby in the
    file's diff.
  * Update the invocation arguments and tests for the latest version of
    odt2txt.

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Aug 2021 13:57:31 +0100

diffoscope (179) unstable; urgency=medium

  * Ensure that various LLVM tools are installed, even when testing whether
    a MacOS binary has zero differences when compared to itself.
    (Closes: reproducible-builds/diffoscope#270)

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Jul 2021 09:05:01 +0100

diffoscope (178) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't traceback on an broken symlink in a directory.
    (Closes: reproducible-builds/diffoscope#269)
  * Rewrite the calculation of a file's "fuzzy hash" to make the control
    flow cleaner.

  [ Balint Reczey ]
  * Support .deb package members compressed with the Zstandard algorithm.
    (LP: #1923845)

  [ Jean-Romain Garnier ]
  * Overhaul the Mach-O executable file comparator.
  * Implement tests for the Mach-O comparator.
  * Switch to new argument format for the LLVM compiler.
  * Fix test_libmix_differences in testsuite for the ELF format.
  * Improve macOS compatibility for the Mach-O comparator.
  * Add llvm-readobj and llvm-objdump to the internal EXTERNAL_TOOLS data
    structure.

  [ Mattia Rizzolo ]
  * Invoke gzip(1) with the short option variants to support Busybox's gzip.
    (Closes: reproducible-builds/diffoscope#268)

 -- Chris Lamb <lamby@debian.org>  Fri, 16 Jul 2021 15:37:59 +0100

## diffoscope 185~bpo11+1

=== debian/changelog ===
diffoscope (185~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 26 Sep 2021 15:55:37 +0200

diffoscope (185) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Fix the autopkgtest in order to fix testing migration: the androguard
    Python module is not in the python3-androguard Debian package
  * Ignore a warning in the tests from the h5py package that doesn't concern
    diffoscope.

  [ Chris Lamb ]
  * Bump Standards-Version to 4.6.0.

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Sep 2021 16:15:17 +0100

diffoscope (184) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix the semantic comparison of R's .rdb files after a refactoring of
    temporary directory handling in a previous version.
  * Support a newer format version of R's .rds files.
  * Update tests for OCaml 4.12. (Closes: reproducible-builds/diffoscope#274)
  * Move diffoscope.versions to diffoscope.tests.utils.versions.
  * Use assert_diff in tests/comparators/test_rdata.py.
  * Reformat various modules with Black.

  [ Zbigniew Jędrzejewski-Szmek ]
  * Stop using the deprecated distutils module by adding a version
    comparison class based on the RPM version rules.
  * Update invocations of llvm-objdump for the latest version of LLVM.
  * Adjust a test with one-byte text file for file(1) version 5.40.
  * Improve the parsing of the version of OpenSSH.

  [ Benjamin Peterson ]
  * Add a --diff-context option to control the unified diff context size.
    (reproducible-builds/diffoscope!88)

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Sep 2021 09:10:38 +0100

diffoscope (183) unstable; urgency=medium

  [ Chris Lamb ]
  * Add support for extracting Android signing blocks.
    (Closes: reproducible-builds/diffoscope#246)
  * Format debug messages for elf sections using our
    diffoscope.utils.format_class utility.
  * Clarify a comment about the HUGE_TOOLS dict in diffoscope.external_tools.

  [ Felix C. Stegerman ]
  * Clarify output around APK Signing Blocks and remove an accidental duplicate
    "0x" prefix.

 -- Chris Lamb <lamby@debian.org>  Fri, 03 Sep 2021 11:14:32 +0100

diffoscope (182) unstable; urgency=medium

  [ Chris Lamb ]
  * Also ignore, for example, spurious "fwGCC: (Debian ... )" lines in output
    from strings(1).
  * Only use "java -jar /path/to/apksigner.jar" if we have a .jar as newer
    versions of apksigner use a shell wrapper script which will obviously be
    rejected by the JVM. Also mention in the diff if apksigner is missing.
  * Pass "-f" to apktool to avoid creating a strangely-named subdirectory and
    to simplify code.
  * If we specify a suffix for temporary file or directory, ensure it starts
    with a "_" to make the generated filenames more human-readable.
  * Drop an unused File import.
  * Update the minimum version of the Black source code formatter.

  [ Santiago Torres Arias ]
  * Support parsing the return value of squashfs versions which discriminate
    between fatal and non-fatal errors.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Aug 2021 09:11:44 +0100

diffoscope (181) unstable; urgency=medium

  [ Chris Lamb ]

  * New features and bug fixes:
    - Don't require apksigner in order to compare .apk files using apktool.
    - Add a special-case to squshfs image extraction to not fail if we aren't
      root/superuser. (Closes: #991059)
    - Reduce the maximum line length to avoid O(n^2) Wagner-Fischer algorithm,
      which meant that diff generation took an inordinate amount of time.
      (Closes: reproducible-builds/diffoscope#272)
    - Include profiling information in --debug output if --profile is not set.
    - Don't print an orphan newline when the Black source code formatter
      self-test passes.

  * Tests:
    - Update test to check specific contents of squashfs listing, otherwise it
      fails depending on the test systems uid-to-username mapping in passwd(5).
    - Assign "seen" and "expected" values to local variables to improve
      contextual information in/around failed tests.

  * Misc changes:
    - Print the size of generated HTML, text (etc.) reports.
    - Profile calls to specialize and diffoscope.diff.linediff.
    - Update various copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Aug 2021 10:03:35 +0100

## diffoscope 186

=== debian/changelog ===
diffoscope (186) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't call close_archive when garbage-collecting Archive instances unless
    open_archive returned successfully. This prevents, amongst others, an
    AttributeError traceback due to PGPContainer's cleanup routines assuming
    that its temporary directory had been created.
    (Closes: reproducible-builds/diffoscope#276)
  * Ensure that the string "RPM archives" exists in the package description,
    regardless of whether python3-rpm is installed or not at build time.

  [ Jean-Romain Garnier ]
  * Fix the LVM Macho comparator for non-x86-64 architectures.

 -- Chris Lamb <lamby@debian.org>  Fri, 01 Oct 2021 09:02:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  abootimg <!nocheck>,
+ androguard <!nocheck>,
  apksigner <!nocheck>,
  apktool [!ppc64el !s390x] <!nocheck>,
  bash-completion,
@@ -90,7 +91,7 @@
  zstd <!nocheck>,
 Build-Conflicts:
  graphicsmagick-imagemagick-compat,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
 Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git
@@ -99,7 +100,6 @@
 Package: diffoscope-minimal
 Architecture: all
 Depends:
- python3-distutils,
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},

=== debian/tests/control ===
# DON'T MANUALLY MODIFY!
# EDIT debian/tests/control.in INSTEAD!
#
# To regenerate:
#
#   $ debian/rules clean
#   $ mv debian/tests/control.tmp debian/tests/control

Tests: pytest-with-recommends
Depends: python3-all, diffoscope, black, python3-pytest, python3-h5py, file, linux-image-amd64 [amd64] | linux-image-generic [amd64], abootimg, acl, apksigner, apktool [!ppc64el !s390x], binutils-multiarch, bzip2, caca-utils, colord, db-util, default-jdk-headless | default-jdk | java-sdk, device-tree-compiler, docx2txt, e2fsprogs, enjarify, ffmpeg, fontforge-extras, fp-utils [!ppc64el !s390x], genisoimage, gettext, ghc, ghostscript, giflib-tools, gnumeric, gnupg, gnupg-utils, hdf5-tools, imagemagick, jsbeautifier, libarchive-tools, llvm, lz4 | liblz4-tool, mono-utils, ocaml-nox, odt2txt, oggvideotools [!s390x], openssh-client, openssl, pgpdump, poppler-utils, procyon-decompiler, python3-pdfminer, r-base-core, rpm2cpio, sng, sqlite3, squashfs-tools, tcpdump, u-boot-tools, unzip, wabt, xmlbeans, xxd | vim-common, xz-utils, zip, zstd, androguard, python3-argcomplete, python3-binwalk, python3-defusedxml, python3-distro, python3-guestfs, python3-jsondiff, python3-progressbar, python3-pypdf2, python3-debian, python3-pyxattr, python3-rpm, python3-tlsh

Tests: pytest
Depends: python3-all, diffoscope, python3-pytest, python3-h5py, file, python3-tlsh

Tests: basic-command-line
Depends: diffoscope
Restrictions: allow-stderr
# without Recommends

## diffoscope 188~bpo11+1

=== debian/changelog ===
diffoscope (188~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Oct 2021 21:26:26 +0200

diffoscope (188) unstable; urgency=medium

  * Add support for Python Sphinx inventory files, usually named objects.inv.
  * Fix Python bytecode decompilation tests with Python 3.10+.
    (Closes: reproducible-builds/diffoscope#278)

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Oct 2021 09:08:55 +0100

diffoscope (187) unstable; urgency=medium

  * Add support for comparing .pyc files. Thanks to Sergei Trofimovich.
    (Closes: reproducible-builds/diffoscope#278)

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Oct 2021 09:01:52 +0100

## diffoscope 189~bpo11+1

=== debian/changelog ===
diffoscope (189~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 31 Oct 2021 13:22:13 +0100

diffoscope (189) unstable; urgency=medium

  [ Chris Lamb ]
  * Try some alternative suffixes (eg. ".py") to support distributions that
    strip or retain them. (Closes: reproducible-builds/diffoscope#283)
  * Skip Python bytecode testing where we do not have an expected diff.
    (Closes: reproducible-builds/diffoscope#284)
  * Refactor the find_executable utility into an explicit method.
  * Split out a custom call to assert_diff to support a .startswith equivalent.
  * Use skipif instead of manual conditionals in some tests.

  [ Vagrant Cascadian ]
  * Add an external tool reference for Guix to support ppudump and dumppdf.

  [ Sergei Trofimovich ]
  * Update uImage test output for file(1) version 5.41.

  [ Jelle van der Waa ]
  * Add Arch Linux as CI test target.
  * Add external tools on Arch Linux for ffmpeg, openssl and ocalobjinfo.

 -- Chris Lamb <lamby@debian.org>  Fri, 29 Oct 2021 09:47:04 +0100

## diffoscope 194~bpo11+1

=== debian/changelog ===
diffoscope (194~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 01 Dec 2021 13:45:37 +0100

diffoscope (194) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't traceback when comparing nested directories with non-directories.
    (Closes: reproducible-builds/diffoscope#288)

 -- Chris Lamb <lamby@debian.org>  Fri, 26 Nov 2021 10:01:05 -0800

diffoscope (193) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't duplicate file lists at each directory level.
    (Closes: #989192, reproducible-builds/diffoscope#263)
  * When pretty-printing JSON, mark the difference as such, additionally
    avoiding including the full path.
    (Closes: reproducible-builds/diffoscope#205)

  * Codebase improvements:
    - Update a bunch of %-style string interpolations into f-strings or
      str.format.
    - Import itertools top-level directly.
    - Drop some unused imports.
    - Use isinstance(...) over type(...) ==
    - Avoid aliasing variables if we aren't going to use them.

  [ Brandon Maier ]
  * Fix missing diff output on large diffs.

  [ Mattia Rizzolo ]
  * Ignore a Python warning coming from a dependent library (triggered by
    supporting Python 3.10)
  * Document that support both Python 3.9 and 3.10.

 -- Chris Lamb <lamby@debian.org>  Fri, 19 Nov 2021 07:35:10 -0800

diffoscope (192) unstable; urgency=medium

  * Update .epub test methodology after improving XML file parsing.

 -- Chris Lamb <lamby@debian.org>  Fri, 12 Nov 2021 08:17:14 -0800

diffoscope (191) unstable; urgency=medium

  [ Chris Lamb ]
  * Detect XML files as XML files if either file(1) claims if they are XML
    files, or if they are named .xml.
    (Closes: #999438, reproducible-builds/diffoscope#287)
  * Don't reject Debian .changes files if they contain non-printable
    characters. (Closes: reproducible-builds/diffoscope#286)
  * Continue loading a .changes file even if the referenced files inside it do
    not exist, but include a comment in the diff as a result.
  * Log the reason if we cannot load a Debian .changes file.

  [ Zbigniew Jędrzejewski-Szmek ]
  * Fix inverted logic in the assert_diff_startswith() utility.

 -- Chris Lamb <lamby@debian.org>  Fri, 12 Nov 2021 06:43:57 -0800

diffoscope (190) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't raise a traceback if we cannot de-marshal Python bytecode to support
    Python 3.7 loading newer .pyc files.
    (Closes: reproducible-builds/diffoscope#284)
  * Fix Python tests under Python 3.7 with file 5.39+.

  [ Vagrant Cascadian ]
  * Skip Python bytecode testing when "file" is older than 5.39.

  [ Roland Clobus ]
  * Detect whether the GNU_BUILD_ID field has been modified.

 -- Chris Lamb <lamby@debian.org>  Fri, 05 Nov 2021 08:47:27 +0000

## diffoscope 196~bpo11+1

=== debian/changelog ===
diffoscope (196~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 14 Dec 2021 16:39:52 +0100

diffoscope (196) unstable; urgency=medium

  [ Roland Clobus ]
  * Add a comment/annotation when the GNU_BUILD_ID field has been modified.

  [ Brent Spillner ]
  * Fix the "Black" version detection.

  [ Chris Lamb ]
  * Replace "token" with anonymous variable "x" in order to remove extra lines.

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Dec 2021 08:05:10 -0800

diffoscope (195) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't use the runtime platform's native endianness when unpacking .pyc
    files to fix test failures on big-endian machines.

 -- Chris Lamb <lamby@debian.org>  Sun, 05 Dec 2021 09:30:08 -0800

## diffoscope 199~bpo11+1

=== debian/changelog ===
diffoscope (199~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 10 Jan 2022 15:20:59 +0100

diffoscope (199) unstable; urgency=medium

  [ Chris Lamb ]
  * Support both variants of "odt2txt", including the one provided by unoconv.
    (Closes: reproducible-builds/diffoscope#298)

  [ Jelle van der Waa ]
  * Add external tool reference on Arch Linux for xb-tool.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Jan 2022 08:46:42 +0000

diffoscope (198) unstable; urgency=medium

  [ Chris Lamb ]
  * Support showing "Ordering differences only" within .dsc field values.
    (Closes: #1002002, reproducible-builds/diffoscope#297)
  * Support OCaml versions 4.11, 4.12 and 4.13. (Closes: #1002678)
  * Add support for XMLb files. (Closes: reproducible-builds/diffoscope#295)
  * Also add, for example, /usr/lib/x86_64-linux-gnu to our internal PATH.

  [ Mattia Rizzolo ]
  * Also recognize "GnuCash file" files as XML.

 -- Chris Lamb <lamby@debian.org>  Fri, 31 Dec 2021 08:52:04 +0000

diffoscope (197) unstable; urgency=medium

  [ Chris Lamb ]
  * Drop unnecessary has_same_content_as logging calls.

  [ Mattia Rizzolo ]
  * Ignore the new "binary-with-bad-dynamic-table" Lintian tag.
  * Support pgpdump 0.34 in the tests. Thanks to Michael Weiss
    <dev.primeos@gmail.com> for reporting and testing the fix.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Dec 2021 09:56:04 +0000

=== debian/control ===
--- 
+++ 
@@ -136,7 +136,7 @@
  ${diffoscope:Recommends},
  ${python3:Recommends},
 Enhances:
- diffoscope-core,
+ diffoscope-minimal,
 Description: in-depth visual diff tool for files, archives and directories
  diffoscope is a visual diff tool that attempts try to get to the bottom of
  what makes files or directories actually different.

## diffoscope 201~bpo11+1

=== debian/changelog ===
diffoscope (201~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Jan 2022 14:44:18 +0100

diffoscope (201) unstable; urgency=medium

  [ Chris Lamb ]
  * If the debian.deb822 module raises any exception on import, re-raise it as
    an ImportError instead. This should fix diffoscope on some Fedora systems.
    Thanks to Mattia Rizzolo for suggesting this particular solution.
    (Closes: reproducible-builds/diffoscope#300)

  [ Zbigniew Jędrzejewski-Szmek ]
  * Fix json detection with file-5.41-3.fc36.x86_64.

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Jan 2022 08:35:36 -0800

diffoscope (200) unstable; urgency=medium

  * Even if a Sphinx .inv inventory file is labelled "The remainder of this
    file is compressed using zlib", it might not actually be. In this case,
    don't traceback, and simply return the original content.
    (Closes: reproducible-builds/diffoscope#299)
  * Update "X has been modified after NT_GNU_BUILD_ID has been applied" message
    to, for instance, not duplicating the full filename in the primary
    diffoscope's output.

 -- Chris Lamb <lamby@debian.org>  Fri, 14 Jan 2022 09:15:19 +0000

## diffoscope 205

=== debian/changelog ===
diffoscope (205) unstable; urgency=medium

  * Fix a file(1)-related regression where .changes files that contained
    non-ASCII text were not identified as being .changes files, resulting in
    seemingly arbitrary packages on tests.reproducible-builds.org and elswhere
    not comparing the package at all. The non-ASCII parts could have been in
    the Maintainer or in the upload changelog, so we were effectively
    penalising anyone outside of the Anglosphere.
    (Closes: reproducible-builds/diffoscope#291)
  * Don't print a warning to the console regarding NT_GNU_BUILD_ID changes in
    ELF binaries.

 -- Chris Lamb <lamby@debian.org>  Sat, 19 Feb 2022 14:58:57 -0800

diffoscope (204) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't run the binwalk comparator tests as root (or fakeroot) as the
    latest version of binwalk has some security protection against doing
    precisely this.
  * If we fail to scan a file using binwalk, return 'False' from
    BinwalkFile.recognizes rather than raise a traceback.
  * If we fail to import the Python "binwalk" module, don't accidentally report
    that we are missing the "rpm" module instead.

  [ Mattia Rizzolo ]
  * Use dependencies to ensure that "diffoscope" and "diffoscope-minimal"
    packages always have the precise same version.

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Feb 2022 10:39:27 -0800

diffoscope (203) unstable; urgency=medium

  [ Chris Lamb ]
  * Improve documentation for --timeout due to a few misconceptions.
    Add an allowed-to-fail test regarding a regression in directory handling.
  * Tidy control flow in Difference._reverse_self a little.

  [ Alyssa Ross ]
  * Fix diffing CBFS names that contain spaces.

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Feb 2022 08:13:13 -0800

diffoscope (202) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't fail if comparing a nonexistent file with a .pyc file (and add test).
    (Closes: #1004312)
  * Drop a reference in the manual page which claims the ability to compare
    non-existent files on the command-line. This has not been possible since
    version 32 which was released in September 2015. (Closes: #1004182)
  * Add experimental support for incremental output support with a timeout.
    Passing, for example, --timeout=60 will mean that diffoscope will not
    recurse into any sub-archives after 60 seconds total execution time has
    elapsed and mark the diff as being incomplete. (Note that this is not a
    fixed/strict timeout due to implementation issues.)
    (Closes: reproducible-builds/diffoscope#301)
  * Don't return with an exit code of 0 if we encounter device file such as
    /dev/stdin with human-readable metadata that matches literal, non-device,
    file contents. (Closes: #1004198)
  * Correct a "recompile" typo.

  [ Sergei Trofimovich ]
  * Fix/update whitespace for Black 21.12.

 -- Chris Lamb <lamby@debian.org>  Fri, 28 Jan 2022 08:17:21 -0800

=== debian/control ===
--- 
+++ 
@@ -130,7 +130,7 @@
 Suggests:
  libjs-jquery,
 Depends:
- diffoscope-minimal,
+ diffoscope-minimal (= ${source:Version}),
  ${misc:Depends},
 Recommends:
  ${diffoscope:Recommends},

=== debian/tests/control ===
# DON'T MANUALLY MODIFY!
# EDIT debian/tests/control.in INSTEAD!
#
# To regenerate:
#
#   $ debian/rules clean
#   $ mv debian/tests/control.tmp debian/tests/control

Tests: pytest-with-recommends
Depends: python3-all, diffoscope, black, python3-pytest, python3-h5py, file, linux-image-amd64 [amd64] | linux-image-generic [amd64], abootimg, acl, apksigner, apktool [!ppc64el !s390x], binutils-multiarch, bzip2, caca-utils, colord, db-util, default-jdk-headless | default-jdk | java-sdk, device-tree-compiler, docx2txt, e2fsprogs, enjarify, ffmpeg, fontforge-extras, fp-utils [!ppc64el !s390x], genisoimage, gettext, ghc, ghostscript, giflib-tools, gnumeric, gnupg, gnupg-utils, hdf5-tools, imagemagick, jsbeautifier, libarchive-tools, libxmlb-dev, llvm, lz4 | liblz4-tool, mono-utils, ocaml-nox, odt2txt, oggvideotools [!s390x], openssh-client, openssl, pgpdump, poppler-utils, procyon-decompiler, python3-pdfminer, r-base-core, rpm2cpio, sng, sqlite3, squashfs-tools, tcpdump, u-boot-tools, unzip, wabt, xmlbeans, xxd | vim-common, xz-utils, zip, zstd, androguard, python3-argcomplete, python3-binwalk, python3-defusedxml, python3-distro, python3-guestfs, python3-jsondiff, python3-progressbar, python3-pypdf2, python3-debian, python3-pyxattr, python3-rpm, python3-tlsh

Tests: pytest
Depends: python3-all, diffoscope, python3-pytest, python3-h5py, file, python3-tlsh

Tests: basic-command-line
Depends: diffoscope
Restrictions: allow-stderr
# without Recommends

## diffoscope 206~bpo11+1

=== debian/changelog ===
diffoscope (206~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 01 Mar 2022 13:24:51 +0100

diffoscope (206) unstable; urgency=medium

  * Also allow "Unicode text, UTF-8 text" as well as "UTF-8 Unicode text" to
    match for .buildinfo files too.
  * Add a test for recent file(1) issue regarding .changes files.
    (Re: reproducible-builds/diffoscope#291)
  * Drop "_PATH" suffix from some module-level globals that are not paths.

 -- Chris Lamb <lamby@debian.org>  Fri, 25 Feb 2022 08:03:04 +0000

## diffoscope 211~bpo11+1

=== debian/changelog ===
diffoscope (211~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 01 May 2022 14:07:39 +0200

diffoscope (211) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Drop mplayer from the Build-Depends, it was add likely by accident and it's
    not needed.
  * Disable gnumeric tests in Debian because it's not currently available.

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Apr 2022 08:20:23 -0700

diffoscope (210) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Make sure that PATH is properly mangled for all diffoscope actions, not
    just when running comparators.

 -- Chris Lamb <lamby@debian.org>  Fri, 15 Apr 2022 09:02:25 +0100

diffoscope (209) unstable; urgency=medium

  * Update R test fixture for R 4.2.x series. (Closes: #1008446)
  * Update minimum version of Black to prevent test failure on Ubuntu jammy.

 -- Chris Lamb <lamby@debian.org>  Sun, 27 Mar 2022 09:23:02 +0100

diffoscope (208) unstable; urgency=medium

  [ Brent Spillner ]
  * Add graceful handling for UNIX sockets and named pipes.
    (Closes: reproducible-builds/diffoscope#292)
  * Remove a superfluous log message and reformatt comment lines.

  [ Chris Lamb ]
  * Reformat various files to satisfy current version of Black.

 -- Chris Lamb <lamby@debian.org>  Fri, 25 Mar 2022 08:24:33 +0000

diffoscope (207) unstable; urgency=medium

  * Fix a gnarly regression when comparing directories against non-directories.
    (Closes: reproducible-builds/diffoscope#292)
  * Use our assert_diff utility where we can within test_directory.py

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Mar 2022 12:55:26 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,8 @@
  ghc <!nocheck>,
  ghostscript <!nocheck>,
  giflib-tools <!nocheck>,
- gnumeric <!nocheck>,
+# drop gnumeric because it's not in testing currently (2022-04-27)
+# gnumeric <!nocheck>,
  gnupg-utils <!nocheck>,
  hdf5-tools <!nocheck>,
  help2man,
@@ -48,7 +49,6 @@
  llvm <!nocheck>,
  lz4 <!nocheck> | liblz4-tool <!nocheck>,
  mono-utils <!nocheck>,
- mplayer <!nocheck>,
  ocaml-nox <!nocheck>,
  odt2txt <!nocheck>,
  oggvideotools [!s390x] <!nocheck>,

=== debian/tests/control ===
# DON'T MANUALLY MODIFY!
# EDIT debian/tests/control.in INSTEAD!
#
# To regenerate:
#
#   $ debian/rules clean
#   $ mv debian/tests/control.tmp debian/tests/control

Tests: pytest-with-recommends
Depends: python3-all, diffoscope, black, python3-pytest, python3-h5py, file, linux-image-amd64 [amd64] | linux-image-generic [amd64], abootimg, acl, apksigner, apktool [!ppc64el !s390x], binutils-multiarch, bzip2, caca-utils, colord, db-util, default-jdk-headless | default-jdk | java-sdk, device-tree-compiler, docx2txt, e2fsprogs, enjarify, ffmpeg, fontforge-extras, fp-utils [!ppc64el !s390x], genisoimage, gettext, ghc, ghostscript, giflib-tools, gnupg, gnupg-utils, hdf5-tools, imagemagick, jsbeautifier, libarchive-tools, libxmlb-dev, llvm, lz4 | liblz4-tool, mono-utils, ocaml-nox, odt2txt, oggvideotools [!s390x], openssh-client, openssl, pgpdump, poppler-utils, procyon-decompiler, python3-pdfminer, r-base-core, rpm2cpio, sng, sqlite3, squashfs-tools, tcpdump, u-boot-tools, unzip, wabt, xmlbeans, xxd | vim-common, xz-utils, zip, zstd, androguard, python3-argcomplete, python3-binwalk, python3-defusedxml, python3-distro, python3-guestfs, python3-jsondiff, python3-progressbar, python3-pypdf2, python3-debian, python3-pyxattr, python3-rpm, python3-tlsh

Tests: pytest
Depends: python3-all, diffoscope, python3-pytest, python3-h5py, file, python3-tlsh

Tests: basic-command-line
Depends: diffoscope
Restrictions: allow-stderr
# without Recommends

## diffoscope 221~bpo11+1

=== debian/changelog ===
diffoscope (221~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 26 Sep 2022 10:40:47 +0200

diffoscope (221) unstable; urgency=medium

  * Don't crash if we can open a PDF file with PyPDF but cannot parse the
    annotations within. (Closes: reproducible-builds/diffoscope#311)
  * Depend on the dedicated xxd package, not vim-common.
  * Update external_tools.py to reflect xxd/vim-common change.

 -- Chris Lamb <lamby@debian.org>  Fri, 19 Aug 2022 07:32:23 -0700

diffoscope (220) unstable; urgency=medium

  * Support Haskell 9.x series files and update the test files to match. Thanks
    to Scott Talbert for the relevant info about the new format.
    (Closes: reproducible-builds/diffoscope#309)
  * Fix a regression introduced in diffoscope version 207 where diffoscope
    would crash if one directory contained a directory that wasn't in the
    other. Thanks to Alderico Gallo for the report and the testcase.
    (Closes: reproducible-builds/diffoscope#310)

 -- Chris Lamb <lamby@debian.org>  Fri, 29 Jul 2022 11:03:24 -0700

diffoscope (219) unstable; urgency=medium

  * Don't traceback if we encounter an invalid Unicode character in Haskell
    versioning headers. (Closes: reproducible-builds/diffoscope#307)
  * Update various copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 15 Jul 2022 06:45:55 +0100

diffoscope (218) unstable; urgency=medium

  * Improve output of Markdown and reStructuredText to use code blocks with
    syntax highlighting. (Closes: reproducible-builds/diffoscope#306)

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Jul 2022 08:45:11 +0100

diffoscope (217) unstable; urgency=medium

  * Update test fixtures for GNU readelf 2.38 (now in Debian unstable).
  * Be more specific about the minimum required version of readelf (ie.
    binutils) as it appears that this "patch" level version change resulted in
    a change of output, not the "minor" version. (Closes: #1013348)
  * Don't leak the (likely-temporary) pathname when comparing PDF documents.

 -- Chris Lamb <lamby@debian.org>  Thu, 23 Jun 2022 07:43:21 +0100

diffoscope (216) unstable; urgency=medium

  * Print profile output if we were called with --profile and we receive a
    TERM signal.
  * Emit a warning if/when we are handling a TERM signal.
  * Clarify in the code in what situations the main "finally" block gets
    called, especially in relation to handling TERM signals.
  * Clarify and tidy some unconditional control flow in diffoscope.profiling.

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Jun 2022 07:00:54 +0100

diffoscope (215) unstable; urgency=medium

  [ Chris Lamb ]
  * Bug fixes:
    - Also catch IndexError (in addition to ValueError) when parsing .pyc
      files. (Closes: #1012258)
    - Strip "sticky" etc. from "x.deb: sticky Debian binary package […]".
      Thanks to David Prévot for the report. (Closes: #1011635)
    - Correctly package diffoscope's scripts/ directory, fixing the extraction
      of vmlinuz kernel images. (Closes: reproducible-builds/diffoscope#305)
    - Correct the logic for supporting different versions of argcomplete in
      debian/rules.

  * New features:
    - Support both PyPDF 1.x and 2.x.

  * Codebase improvements:
    - Don't call re.compile and then call .sub on the result; just call
      re.sub directly.
    - Clarify the logic around the difference between --usage and --help.

  * Testsuite improvements:
    - Integrate test coverage with GitLab's concept of artifacts.
    - Re-enable Gnumeric tests as its now available again.
    - Test --help and --usage, and additionally test that --help includes
      the programmatically-generated file format list as well.

  [ Holger Levsen ]
  * Bump Standards Version field in debian/control to 4.6.1.

 -- Chris Lamb <lamby@debian.org>  Fri, 03 Jun 2022 06:54:48 +0100

diffoscope (214) unstable; urgency=medium

  [ Chris Lamb ]
  * Support both python-argcomplete 1.x and 2.x.

  [ Vagrant Cascadian ]
  * Add external tool on GNU Guix for xb-tool.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 May 2022 06:53:04 +0100

diffoscope (213) unstable; urgency=medium

  * Don't mask differences in .zip/.jar central directory extra fields.
  * Don't show a binary comparison of .zip/.jar files if we have at least
    one observed nested difference.
  * Use assert_diff in test_zip over get_data and separate assert.

 -- Chris Lamb <lamby@debian.org>  Fri, 20 May 2022 08:15:29 -0700

diffoscope (212) unstable; urgency=medium

  * Add support for extracting vmlinuz/vmlinux Linux kernel images.
    (Closes: reproducible-builds/diffoscope#304)
  * Some Python .pyc files report as "data", so support ".pyc" as a
    fallback extension.

 -- Chris Lamb <lamby@debian.org>  Fri, 13 May 2022 08:19:57 -0700

=== debian/control ===
--- 
+++ 
@@ -32,8 +32,7 @@
  ghc <!nocheck>,
  ghostscript <!nocheck>,
  giflib-tools <!nocheck>,
-# drop gnumeric because it's not in testing currently (2022-04-27)
-# gnumeric <!nocheck>,
+ gnumeric <!nocheck>,
  gnupg-utils <!nocheck>,
  hdf5-tools <!nocheck>,
  help2man,
@@ -87,11 +86,11 @@
  unzip <!nocheck>,
  wabt <!nocheck>,
  xmlbeans <!nocheck>,
- xxd <!nocheck> | vim-common <!nocheck>,
+ xxd <!nocheck>,
  zstd <!nocheck>,
 Build-Conflicts:
  graphicsmagick-imagemagick-compat,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
 Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git

=== debian/tests/control ===
# DON'T MANUALLY MODIFY!
# EDIT debian/tests/control.in INSTEAD!
#
# To regenerate:
#
#   $ debian/rules clean
#   $ mv debian/tests/control.tmp debian/tests/control

Tests: pytest-with-recommends
Depends: python3-all, diffoscope, black, python3-pytest, python3-h5py, file, linux-image-amd64 [amd64] | linux-image-generic [amd64], abootimg, acl, apksigner, apktool [!ppc64el !s390x], binutils-multiarch, bzip2, caca-utils, colord, db-util, default-jdk-headless | default-jdk | java-sdk, device-tree-compiler, docx2txt, e2fsprogs, enjarify, ffmpeg, fontforge-extras, fp-utils [!ppc64el !s390x], genisoimage, gettext, ghc, ghostscript, giflib-tools, gnumeric, gnupg, gnupg-utils, hdf5-tools, imagemagick, jsbeautifier, libarchive-tools, libxmlb-dev, llvm, lz4 | liblz4-tool, mono-utils, ocaml-nox, odt2txt, oggvideotools [!s390x], openssh-client, openssl, pgpdump, poppler-utils, procyon-decompiler, python3-pdfminer, r-base-core, rpm2cpio, sng, sqlite3, squashfs-tools, tcpdump, u-boot-tools, unzip, wabt, xmlbeans, xxd, xz-utils, zip, zstd, androguard, python3-argcomplete, python3-binwalk, python3-defusedxml, python3-distro, python3-guestfs, python3-jsondiff, python3-progressbar, python3-pypdf2, python3-debian, python3-pyxattr, python3-rpm, python3-tlsh

Tests: pytest
Depends: python3-all, diffoscope, python3-pytest, python3-h5py, file, python3-tlsh

Tests: basic-command-line
Depends: diffoscope
Restrictions: allow-stderr
# without Recommends
